> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve order status

> Retrieves the status of the order for that ID



## OpenAPI

````yaml GET /api/v1/orders/{orderId}
openapi: 3.0.1
info:
  title: Meadow Open API
  description: The API to connect to the Meadow platform
  version: 1.0.0
servers:
  - url: https://api-staging.getmeadow.com
  - url: https://api.getmeadow.com
security:
  - meadowConsumer: []
    meadowClient: []
paths:
  /api/v1/orders/{orderId}:
    get:
      description: Retrieves the status of the order for that ID
      parameters:
        - name: orderId
          in: path
          description: ID of order to retrieve
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Order status response
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the order
                  status:
                    type: string
                    description: >-
                      The status of the order. One of `draft`, `new`, `packed`,
                      `fulfilled`, `canceled`


                      - `draft` is an order submitted without inventory taken
                      out

                      - `new` is an order that has had inventory associated with
                      it

                      - `packed` signifies an order has been processed and is
                      waiting for pickup/delivery

                      - `fulfilled` is an order that has been fully completed

                      - `canceled` is an order that has been canceled
              example:
                data:
                  id: '18673982'
                  status: packed
        4XX:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  schemas:
    APIError:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: object
          properties:
            message:
              type: string
              example: A description of the error code
            code:
              type: string
              example: CODE_OF_ERROR_WILL_BE_HERE
  securitySchemes:
    meadowConsumer:
      type: apiKey
      name: X-Consumer-Key
      description: The key assigned to your company and provided via Meadow
      in: header
    meadowClient:
      type: apiKey
      name: X-Client-Key
      description: The key generated and provided by our mutual client
      in: header

````